Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation
Class EventInvocation

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInvocation
          org.jboss.portal.portlet.invocation.EventInvocation

    public class EventInvocation

extends PortletInvocation

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`attributes, clientContext, ctx, dreq, dresp, instanceContext, mode, navigationalState, portalContext, publicNavigationalState, requestAttributes, securityContext, serverContext, target, userContext, windowContext, windowState`

Constructor Summary
`EventInvocation(PortletInvocationContext ctx)`

Method Summary
`javax.xml.namespace.QName` | `getName()`
`java.io.Serializable` | `getPayload()`
`void` | `setName(javax.xml.namespace.QName name)`
`void` | `setPayload(java.io.Serializable payload)`

Methods inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`getAttribute, getClientContext, getContext, getDispatchedRequest, getDispatchedResponse, getInstanceContext, getMode, getNavigationalState, getPortalContext, getPublicNavigationalState, getRequestAttributes, getSecurityContext, getServerContext, getTarget, getUserContext, getWindowContext, getWindowState, removeAttribute, setAttribute, setClientContext, setDispatchedRequest, setDispatchedResponse, setInstanceContext, setMode, setNavigationalState, setPortalContext, setPublicNavigationalState, setRequestAttributes, setSecurityContext, setServerContext, setTarget, setUserContext, setWindowContext, setWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventInvocation

    public EventInvocation(PortletInvocationContext ctx)
                    throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getName

    public javax.xml.namespace.QName getName()

### setName

    public void setName(javax.xml.namespace.QName name)

### getPayload

    public java.io.Serializable getPayload()

### setPayload

    public void setPayload(java.io.Serializable payload)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.